org.h2.table

## Class DataChangeDeltaTable

- java.lang.Object
- - org.h2.engine.DbObjectBase
  - - org.h2.schema.SchemaObjectBase
    - - org.h2.table.Table
      - - org.h2.table.VirtualTable
        - - org.h2.table.VirtualConstructedTable
          - - org.h2.table.DataChangeDeltaTable

All Implemented Interfaces:
  DbObject, SchemaObject

    public class DataChangeDeltaTable
    extends VirtualConstructedTable

A data change delta table.

### Nested Class Summary

Nested Classes
`static class` `DataChangeDeltaTable.ResultOption` Result option.

### Field Summary

### Fields inherited from class org.h2.table.Table

`columns, compareMode, isHidden, TYPE_CACHED, TYPE_MEMORY`

### Fields inherited from class org.h2.engine.DbObjectBase

`comment, database, trace`

### Fields inherited from interface org.h2.engine.DbObject

`AGGREGATE, COMMENT, CONSTANT, CONSTRAINT, DOMAIN, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, SYNONYM, TABLE_OR_VIEW, TRIGGER, USER`

### Constructor Summary

Constructors
Constructor and Description
`DataChangeDeltaTable(Schema schema, Session session, DataChangeStatement statement, DataChangeDeltaTable.ResultOption resultOption)`

### Method Summary

Methods
`boolean` `canGetRowCount()` Check if the row count can be retrieved quickly.
`ResultInterface` `getResult(Session session)` Read the rows from the table.
`long` `getRowCount(Session session)` Get the row count for this table.
`long` `getRowCountApproximation()` Get the approximated row count for this table.
`java.lang.StringBuilder` `getSQL(java.lang.StringBuilder builder, boolean alwaysQuote)` Appends the SQL name of this object (may be quoted) to the specified builder.
`boolean` `isDeterministic()` Check if the table is deterministic.

### Methods inherited from class org.h2.table.VirtualConstructedTable

`getMaxDataModificationId, getScanIndex`

### Methods inherited from class org.h2.table.VirtualTable

`addIndex, addRow, canDrop, canReference, checkRename, checkSupportAlter, close, getCreateSQL, getDiskSpaceUsed, getDropSQL, getIndexes, getTableType, getUniqueIndex, isLockedExclusively, lock, removeRow, truncate, unlock`

### Methods inherited from class org.h2.table.Table

`addConstraint, addDependencies, addDependentView, addSequence, addSynonym, addTrigger, canTruncate, checkDeadlock, checkWritingAllowed, compareValues, createRow, doesColumnExist, dropMultipleColumnsConstraintsAndIndexes, findColumn, findPrimaryKey, fire, fireAfterRow, fireBeforeRow, fireRow, getBestPlanItem, getCheckForeignKeyConstraints, getChildren, getColumn, getColumn, getColumn, getColumns, getCompareMode, getConstraints, getCreateSQLForCopy, getDefaultValue, getDependentViews, getIndex, getIndexForColumn, getOnCommitDrop, getOnCommitTruncate, getOnUpdateValue, getPrimaryKey, getRow, getRowIdColumn, getScanIndex, getTemplateRow, getTemplateSimpleRow, getType, hasInsteadOfTrigger, hasSelectTrigger, isGlobalTemporary, isHidden, isLockedExclusivelyBy, isMVStore, isPersistData, isPersistIndexes, isQueryComparable, isTableExpression, isView, lockRow, removeChildrenAndResources, removeColumnExpressionsDependencies, removeConstraint, removeDependentView, removeIndex, removeIndexOrTransferOwnership, removeSequence, removeSynonym, removeTrigger, rename, renameColumn, setCheckForeignKeyConstraints, setColumns, setHidden, setOnCommitDrop, setOnCommitTruncate, setTableExpression, updateRow, updateRows, validateConvertUpdateSequence`

### Methods inherited from class org.h2.schema.SchemaObjectBase

`getSchema, getSQL`

### Methods inherited from class org.h2.engine.DbObjectBase

`getComment, getDatabase, getId, getModificationId, getName, invalidate, isTemporary, isValid, setComment, setModified, setObjectName, setTemporary, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.engine.DbObject

`getComment, getDatabase, getId, getName, isTemporary, setComment, setTemporary`

### Constructor Detail

#### DataChangeDeltaTable

    public DataChangeDeltaTable(Schema schema,
                        Session session,
                        DataChangeStatement statement,
                        DataChangeDeltaTable.ResultOption resultOption)

### Method Detail

#### canGetRowCount

    public boolean canGetRowCount()

Description copied from class: `Table`
Check if the row count can be retrieved quickly.

Specified by:
  `canGetRowCount` in class `Table`
Returns:
  true if it can

#### getRowCount

    public long getRowCount(Session session)

Description copied from class: `Table`
Get the row count for this table.

Specified by:
  `getRowCount` in class `Table`
Parameters:
  `session` - the session
Returns:
  the row count

#### getRowCountApproximation

    public long getRowCountApproximation()

Description copied from class: `Table`
Get the approximated row count for this table.

Specified by:
  `getRowCountApproximation` in class `Table`
Returns:
  the approximated row count

#### getResult

    public ResultInterface getResult(Session session)

Description copied from class: `VirtualConstructedTable`
Read the rows from the table.

Specified by:
  `getResult` in class `VirtualConstructedTable`
Parameters:
  `session` - the session
Returns:
  the result

#### getSQL

    public java.lang.StringBuilder getSQL(java.lang.StringBuilder builder,
                                 boolean alwaysQuote)

Description copied from interface: `DbObject`
Appends the SQL name of this object (may be quoted) to the specified builder.

Specified by:
  `getSQL` in interface `DbObject`
Overrides:
  `getSQL` in class `SchemaObjectBase`
Parameters:
  `builder` - string builder
  `alwaysQuote` - quote all identifiers
Returns:
  the specified string builder

#### isDeterministic

    public boolean isDeterministic()

Description copied from class: `Table`
Check if the table is deterministic.

Specified by:
  `isDeterministic` in class `Table`
Returns:
  true if it is